---
title: "Sketchy Maze v0.8.0 Released"
date: 2021-09-04T13:11:14-07:00
draft: false
---
A new version of _Sketchy Maze_ is released today that brings several
new features, new doodads and new levels!

Grab the latest version on the [Download](/download) page!

Some highlights of the new release include:

## Doodad Editor Improvements

Using only in-game tools, it is now fully possible to create custom
doodads (including multiple frames of animation), attach and manage
their JavaScript sources, and there are a few built-in "generic scripts"
to give simple behaviors to your custom doodads all without _you_
needing to worry at all about writing any JavaScript code!

For example, you can create your own "hazard doodad" that kills the
player on contact (acting like fire pixels) by selecting the
"Generic Fire" script.

![](/images/v0.8.0-scripts.png)

## All Characters are Playable!

In this release you can set up a custom level so that you play as a
different character instead of the Boy!

To set this up, drag a Start Flag and another doodad of your choice
into your level, and connect them together using the Link Tool. When
the level starts, you will play _as_ that doodad!

All of the built-in creatures are fully supported (including the Bird,
Azulians, and the Thief). The Bird can travel freely without being
affected by gravity. You can play as non-creature doodads, too,
sometimes with strange effects. Play as the Anvil and you can kill
mobile doodads by "jumping" onto them!

Only mobile doodads tend to collide with most things such as Doors
and Trapdoors, and only mobile doodads can activate Buttons and
Switches.

## New Doodads & Levels

The new doodads in this release include:

* The **Thief** is a character which can steal items out of the inventory
  of other characters. She does not steal items from other Thieves,
  except if she is the player character.
* The **Anvil** is affected by gravity and becomes dangerous to all
  mobile doodads when it is falling. When _not_ falling, the doodad
  is completely harmless and has no solid collision hitbox.
* The **Electric Trapdoor** is a horizontal version of the Electric Door
  which can open and close when activated by a Button or Switch.
* The **Checkpoint Flag** remembers your position in a level. When you
  die to fire pixels or Anvils, instead of restarting the level from the
  beginning you can teleport back to your last checkpoint and carry on!

See the [full list of built-in doodads](/guidebook/doodads.html) in the
Guidebook!

Two new built-in levels are added:

* **Castle.level:** introduces the Thief and other new doodads.
* **Thief 1.level:** play _as_ the Thief and steal Small Keys from
  the Azulians to complete the level.

## More Changes & Download Link

See the [changelog](/guidebook/changes.html) for complete details and
head over to the [Download](/download) page to grab the latest release
for Linux, macOS and Windows.